Read calculation property limits
curl --request GET \
--url https://api.hubapi.com/crm/v3/limits/calculated-properties \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/limits/calculated-properties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/limits/calculated-properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"byObjectType": [
{
"objectTypeId": "<string>",
"pluralLabel": "<string>",
"singularLabel": "<string>",
"usage": 123
}
],
"overallLimit": 123,
"overallPercentage": 123,
"overallUsage": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Limits
Read calculation property limits
Returns overall limit and per object usage for calculated properties
GET
/
crm
/
v3
/
limits
/
calculated-properties
Read calculation property limits
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
Show child attributes
Show child attributes
The maximum number of calculated properties allowed.
The percentage of the overall limit that is currently being used for calculated properties.
The total number of calculated properties currently in use.
Last modified on May 18, 2026
Was this page helpful?
⌘I